exemplo de como desenhar um TEXT com o entmakex:
(defun get-alh-alv ()
(setq ali (vl-position
(strcase ali)
'("L" "C" "R" "A" "M" "F" "TL" "TC"
"TR" "ML" "MC" "MR" "BL" "BC" "BR"))
alh (nth ali '(0 1 2 3 4 5 0 1 2 0 1 2 0 1 2))
alv (nth ali '(0 0 0 0 0 0 3 3 3 2 2 2 1 1 1))))
; desenha texto
(defun draw-text (str pt lay rot alt st ali / sts alh alv)
(if (not (tblsearch "style" st)) (setq st "standard"))
(get-alh-alv)
(dxf 5 (entmakex
(mapcar 'cons '(0 8 10 40 1 50 7 72 11 73)
(list "TEXT" lay
(if (= alv 0) pt '(0 0 0))
alt str rot st alh pt alv)))))
será util daqui pra frente...
Nenhum comentário:
Postar um comentário